
.icon-primary-color-accent {	
	background-color: var(--primary-color-accent);
}

.icon-primary {	
	background-color: var(--primary);
}

.icon-primary-white {	
	background-color: var(--white);
}


.icon-svg {
	width: 24px;
	height: 24px;
}

/* FEKETE (alap) */
.icon-black {
	filter: none;
}

/* FEHÉR */
.icon-white {
	filter: invert(1);
}

/* PRIMARY SZÍN */
.icon-primary {
	filter: brightness(0) saturate(100%)
	        invert(32%) sepia(94%) saturate(1800%)
	        hue-rotate(120deg) brightness(95%) contrast(95%);
}


.icon-circle-dec-hor {
	-webkit-mask: url(/img/svg/icon-circle-dec-hor.svg) no-repeat center;
    mask: url(/imag/svg/icon-circle-dec-hor.svg) no-repeat center;
}

.icon-home {
	-webkit-mask: url(/img/svg/icon-home.svg) no-repeat center;
    mask: url(/img/svg/icon-home.svg) no-repeat center;	
}

.icon-top {
	-webkit-mask: url(/img/svg/icon-top.svg) no-repeat center;
    mask: url(/img/svg/icon-top.svg) no-repeat center;	
}

.icon-map {
	-webkit-mask: url(/img/svg/icon-map.svg) no-repeat center;
    mask: url(/img/svg/icon-map.svg) no-repeat center;
}

.icon-mobile {
	-webkit-mask: url(/img/svg/icon-mobile.svg) no-repeat center;
    mask: url(/img/svg/icon-mobile.svg) no-repeat center;
}

.icon-email {
	-webkit-mask: url(/img/svg/icon-email.svg) no-repeat center;
    mask: url(/img/svg/icon-email.svg) no-repeat center;
}

.icon-namecard {
	-webkit-mask: url(/img/svg/icon-namecard.svg) no-repeat center;
    mask: url(/img/svg/icon-namecard.svg) no-repeat center;
}

.icon-torveny {
	-webkit-mask: url(/img/svg/icon-torveny.svg) no-repeat center;
    mask: url(/img/svg/icon-torveny.svg) no-repeat center;
}

.icon-rendelet {
	-webkit-mask: url(/img/svg/icon-rendelet.svg) no-repeat center;
    mask: url(/img/svg/icon-rendelet.svg) no-repeat center;
}

.icon-tick {
	-webkit-mask: url(/img/svg/icon-tick.svg) no-repeat center;
    mask: url(/img/svg/icon-tick.svg) no-repeat center;
}

.icon-house {
	-webkit-mask: url(/img/svg/icon-house.svg) no-repeat center;
    mask: url(/img/svg/icon-house.svg) no-repeat center;
}

.icon-ertekbecsles {
	-webkit-mask: url(/img/svg/icon-ertekbecsles.svg) no-repeat center;
    mask: url(/img/svg/icon-ertekbecsles.svg) no-repeat center;
}

.icon-qr {
	-webkit-mask: url(/img/svg/icon-qr.svg) no-repeat center;
    mask: url(/img/svg/icon-qr.svg) no-repeat center;
}

.icon-share {
	-webkit-mask: url(/img/svg/icon-share.svg) no-repeat center;
    mask: url(/img/svg/icon-share.svg) no-repeat center;
}

.icon-filter {
	-webkit-mask: url(/img/svg/icon-filter.svg) no-repeat center;
    mask: url(/img/svg/icon-filter.svg) no-repeat center;
}

.icon-close {
	-webkit-mask: url(/img/svg/icon-close.svg) no-repeat center;
    mask: url(/img/svg/icon-close.svg) no-repeat center;
}